diff -cr storeBackup-3.3/bin/storeBackup.pl storeBackup-3.3-local-01/bin/storeBackup.pl
*** storeBackup-3.3/bin/storeBackup.pl	2012-10-04 11:01:32.000000000 +0200
--- storeBackup-3.3-local-01/bin/storeBackup.pl	2013-02-21 18:33:32.737482638 +0100
***************
*** 830,835 ****
--- 830,837 ----
       use_IOCompressBzip2 (suppresses the warning that you should
                            instal perl module IO::Compress::Bzip2
                            for better performance)
+      no_backup_for_period (suppresses warnings that there are
+                            no backups for certain periods)
      This option can be repeated multiple times on the command line.
  
  =item B<--linkToRecent>
***************
*** 1291,1296 ****
--- 1293,1300 ----
  #    use_IOCompressBzip2 (suppresses the warning that you should
  #                         instal perl module IO::Compress::Bzip2
  #                         for better performance)
+ #    no_backup_for_period (suppresses warnings that there are
+ #                          no backups for certain periods)
  #  This option can be repeated multiple times on the command line.
  #  Example usage in conf file:
  #  suppressWarning = excDir fileChange crSeries hashCollision
***************
*** 2023,2029 ****
  					    '-cf_key' => 'suppressWarning',
  					    '-multiple' => 'yes',
  					    '-pattern' =>
!   '\AexcDir\Z|\AfileChange\Z|\AcrSeries\Z|\AhashCollision\Z|\AfileNameWithLineFeed|\Ause_DB_File\Z|\Ause_IOCompressBzip2\Z'),
  				Option->new('-name' => 'linkToRecent',
  					    '-cl_option' => '--linkToRecent',
  					    '-cf_key' => 'linkToRecent',
--- 2027,2033 ----
  					    '-cf_key' => 'suppressWarning',
  					    '-multiple' => 'yes',
  					    '-pattern' =>
!   '\AexcDir\Z|\AfileChange\Z|\AcrSeries\Z|\AhashCollision\Z|\AfileNameWithLineFeed|\Ause_DB_File\Z|\Ause_IOCompressBzip2\Z|\Ano_backup_for_period\Z'),
  				Option->new('-name' => 'linkToRecent',
  					    '-cl_option' => '--linkToRecent',
  					    '-cf_key' => 'linkToRecent',
***************
*** 3176,3182 ****
  			     '-keepMaxNumber' => $keepMaxNumber,
  			     '-statDelOldBackupDirs' => $main::stat,
  			     '-lateLinksParam' => $lateLinks,
! 			     '-allLinks' => $allLinks
  			     );
  $delOld->checkBackups();
  
--- 3180,3187 ----
  			     '-keepMaxNumber' => $keepMaxNumber,
  			     '-statDelOldBackupDirs' => $main::stat,
  			     '-lateLinksParam' => $lateLinks,
! 			     '-allLinks' => $allLinks,
! 			     '-suppressWarning' => \%suppressWarning
  			     );
  $delOld->checkBackups();
  
diff -cr storeBackup-3.3/lib/storeBackupLib.pl storeBackup-3.3-local-01/lib/storeBackupLib.pl
*** storeBackup-3.3/lib/storeBackupLib.pl	2012-09-30 16:37:24.000000000 +0200
--- storeBackup-3.3-local-01/lib/storeBackupLib.pl	2013-02-21 18:34:34.441483086 +0100
***************
*** 738,744 ****
  		    '-statDelOldBackupDirs' => undef,
  		    '-flatOutput'           => 'no',
  		    '-lateLinksParam'       => undef,
! 		    '-allLinks'             => undef   # object of type lateLink
  		    );
  
  
--- 738,745 ----
  		    '-statDelOldBackupDirs' => undef,
  		    '-flatOutput'           => 'no',
  		    '-lateLinksParam'       => undef,
! 		    '-allLinks'             => undef,   # object of type lateLink
! 		    '-suppressWarning'      => undef
  		    );
  
  
***************
*** 750,756 ****
  			  '-keepFirstOfWeek', '-keepLastOfWeek',
  			  '-keepAll', '-keepWeekday', '-keepDuplicate',
  			  '-keepMinNumber', '-keepMaxNumber',
! 			  '-statDelOldBackupDirs', '-lateLinksParam', '-allLinks']);
      &::setParamsDirect($self, \%params);
  
  
--- 751,757 ----
  			  '-keepFirstOfWeek', '-keepLastOfWeek',
  			  '-keepAll', '-keepWeekday', '-keepDuplicate',
  			  '-keepMinNumber', '-keepMaxNumber',
! 			  '-statDelOldBackupDirs', '-lateLinksParam', '-allLinks', '-suppressWarning']);
      &::setParamsDirect($self, \%params);
  
  
***************
*** 911,916 ****
--- 912,918 ----
      my $keepMaxNumber = $self->{'keepMaxNumber'};
      my $keepRelative = $self->{'keepRelative'};
      my $flatOutput = $self->{'flatOutput'};
+     my %suppressWarning = %{$self->{'suppressWarning'}};
  
      my (@l1) = @{$self->{'l1'}};
      my (@lLoesch) = ();
***************
*** 980,986 ****
                          $off += $age - ($keepRelative->[$pi+1]->{'secs'}+$off);
                          $prLog->print('-kind' => 'W',
                                        '-str' =>
!                                       ["no backup for period $period, choosing next older backup instead"]);
                      }
                      else
  		    {
--- 982,989 ----
                          $off += $age - ($keepRelative->[$pi+1]->{'secs'}+$off);
                          $prLog->print('-kind' => 'W',
                                        '-str' =>
!                                       ["no backup for period $period, choosing next older backup instead"])
! 	                unless exists $suppressWarning{'no_backup_for_period'};
                      }
                      else
  		    {
***************
*** 1001,1007 ****
                  $prLog->print('-kind' => 'W',
                                '-str' =>
                                ["no backup for period $period, choosing oldest backup instead.",
!                                "This is usually caused by backups not being done regularly enough." ]);
                  $notDelPrintHash{$backup}{"$period (oldest possible)"} = "";
                  $keepRelative->[$pi]->{bi} = $bi;
              }
--- 1004,1011 ----
                  $prLog->print('-kind' => 'W',
                                '-str' =>
                                ["no backup for period $period, choosing oldest backup instead.",
!                                "This is usually caused by backups not being done regularly enough." ])
!                 unless exists $suppressWarning{'no_backup_for_period'};
                  $notDelPrintHash{$backup}{"$period (oldest possible)"} = "";
                  $keepRelative->[$pi]->{bi} = $bi;
              }
***************
*** 1074,1080 ****
                                '-str' =>
                                ["There will be no backup for period $period in ".
                                 sprintf("%.1f", $expires/(3600*24))." days.",
!                                "This is usually caused by backups not being done regularly enough." ]);
  
                          # At least we try to minimize the gap
                      $notDelPrintHash{$backup}{"$period (candidate)"} = "";
--- 1078,1085 ----
                                '-str' =>
                                ["There will be no backup for period $period in ".
                                 sprintf("%.1f", $expires/(3600*24))." days.",
!                                "This is usually caused by backups not being done regularly enough." ])
! 	                unless exists $suppressWarning{'no_backup_for_period'};
  
                          # At least we try to minimize the gap
                      $notDelPrintHash{$backup}{"$period (candidate)"} = "";
